From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/hy/
Date: Fri, 23 Feb 2018 06:51:35 +0000 (UTC) [thread overview]
Message-ID: <1519368683.b79fcf568d98827c8986ae3b241905825d7cf274.patrick@gentoo> (raw)
commit: b79fcf568d98827c8986ae3b241905825d7cf274
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 23 06:51:23 2018 +0000
Commit: Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Fri Feb 23 06:51:23 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b79fcf56
dev-lang/hy: Bump
Package-Manager: Portage-2.3.24, Repoman-2.3.6
dev-lang/hy/Manifest | 1 +
dev-lang/hy/hy-0.14.0.ebuild | 41 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-lang/hy/Manifest b/dev-lang/hy/Manifest
index c9e7cd92a98..e973c928d09 100644
--- a/dev-lang/hy/Manifest
+++ b/dev-lang/hy/Manifest
@@ -5,3 +5,4 @@ DIST hy-0.12.0.tar.gz 379282 BLAKE2B 349d5f02aac0e04808efee8a6ea1bf17dbae3e71561
DIST hy-0.12.1.tar.gz 379361 BLAKE2B 212a902f287d5b358e9fa4a54ad7bcbf21ed693d6adb3138c942563d2147248abdf5f0e46753815db8c607ed5b7b78a0f5d0d14074ae7c96bd5efbf849263ebe SHA512 8b1c957b37aa46baf7ac2a20d7ea4321824ee13e08146edcfdd7eb727151aa34036f9d696687df06e6fa48550bd91d6ad3484bab47da8ea3b154363c48e66980
DIST hy-0.13.0.tar.gz 383197 BLAKE2B 5ec7826ebe8b4809c1a49d5dac333fd9e60b5a1a5aee947194df47c5f05bada34f2341e779dcf371c0736721cf93d0d114bb0fe4cd46d124b81c226e39aad533 SHA512 a1138c73584f5dc839d8085aaef24da6450789a0d466cea61ecb3740f865ee2aadc52dde3e5c76d945f16fb88c5fdfa4fd9bbcf35cdcd3fc2337fd1f13548b54
DIST hy-0.13.1.tar.gz 383213 BLAKE2B e002218811cadf8db558284e7124114891c76df334ac3cda7b02c57bcdc37c0e65fb202f07f694d6948159051b88631ec9cb22f22207bf23b39c75125bcfcad3 SHA512 40ec426152ef20ff3d4e23043d9ab178a924a2dca3586fd2dfddf5477612246024222b50e62e6f356649c0d035fd202da89e974acf345db6e5c807883dbb86c5
+DIST hy-0.14.0.tar.gz 403692 BLAKE2B 4d20574151c443e002e365bceecc11b2bdcd7aa294073c58cba4ec8a958534c9f1256848ef57e4d5dd3ec345decaa53db43768a78af542ba8a59ff50489486b1 SHA512 a04da48592058b8ad3e7d2a787149622bfcf61c01a341ccc166c2e25e18ed7616b6567b529cf4f6d80a9cecf44aac175577ebf185c77e941a11a258f8563da9e
diff --git a/dev-lang/hy/hy-0.14.0.ebuild b/dev-lang/hy/hy-0.14.0.ebuild
new file mode 100644
index 00000000000..7cfd04466eb
--- /dev/null
+++ b/dev-lang/hy/hy-0.14.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+RESTRICT="test" # needs some pointy sticks. Seriously.
+PYTHON_COMPAT=(python{2_7,3_4,3_5})
+
+inherit distutils-r1 eutils
+DESCRIPTION="A LISP dialect running in python"
+HOMEPAGE="http://hylang.org/"
+SRC_URI="https://github.com/hylang/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+IUSE="test doc"
+
+RDEPEND="dev-python/flake8[${PYTHON_USEDEP}]
+ >=dev-python/rply-0.7.5[${PYTHON_USEDEP}]
+ >=dev-python/astor-0.6[${PYTHON_USEDEP}]
+ >=dev-python/clint-0.4[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/tox[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )"
+src_prepare() {
+ use doc && HTML_DOCS=( docs/_build/html/. )
+}
+
+python_compile_all() {
+ use doc && emake docs
+}
+
+python_test() {
+ nosetests || die "Tests failed under ${EPYTHON}"
+}
next reply other threads:[~2018-02-23 6:51 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-02-23 6:51 Patrick Lauer [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-06-18 15:15 [gentoo-commits] repo/gentoo:master commit in: dev-lang/hy/ 罗百科
2021-06-01 0:28 Sam James
2021-05-31 20:22 Michał Górny
2021-04-26 13:51 罗百科
2021-01-01 0:53 Michał Górny
2020-02-04 12:23 Michał Górny
2019-11-03 13:58 Craig Andrews
2019-11-03 13:58 Craig Andrews
2019-06-20 19:06 罗百科
2018-08-12 15:53 Virgil Dupras
2018-06-27 20:32 Pacho Ramos
2017-11-14 6:02 Patrick Lauer
2017-07-30 6:33 Patrick Lauer
2017-04-27 8:23 Patrick Lauer
2017-02-03 12:39 Patrick Lauer
2017-01-28 20:24 Patrick Lauer
2016-01-01 11:33 Patrick Lauer
2016-01-01 11:32 Patrick Lauer
2015-12-30 9:02 Patrick Lauer
2015-12-21 15:49 Patrick Lauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1519368683.b79fcf568d98827c8986ae3b241905825d7cf274.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox